Skip to main content
GET
/
platform
/
v2
/
sites
/
{site_id}
/
actual
Get Site Actuals
import requests

url = "https://api.rebase.energy/platform/v2/sites/{site_id}/actual"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.rebase.energy/platform/v2/sites/{site_id}/actual \
--header 'Authorization: <api-key>'
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.rebase.energy/platform/v2/sites/{site_id}/actual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "valid_time": [
    "2026-01-01T00:00:00Z",
    "2026-01-01T01:00:00Z",
    "2026-01-01T02:00:00Z",
    "2026-01-01T03:00:00Z",
    "2026-01-01T04:00:00Z",
    "2026-01-01T05:00:00Z",
    "2026-01-01T06:00:00Z",
    "2026-01-01T07:00:00Z",
    "2026-01-01T08:00:00Z",
    "2026-01-01T09:00:00Z"
  ],
  "value": [
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000
  ]
}
{
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Your API key. This is required to access our API programatically. You can view your API key in the Rebase dashboard.

Path Parameters

site_id
string
required

Query Parameters

type
string
default:power
start_date
string<date-time>
required
end_date
string<date-time>
required
tz
string | null

Response

Successful Response

valid_time
string<date-time>[]
required
Example:
[
"2026-01-01T00:00:00Z",
"2026-01-01T01:00:00Z",
"2026-01-01T02:00:00Z",
"2026-01-01T03:00:00Z",
"2026-01-01T04:00:00Z",
"2026-01-01T05:00:00Z",
"2026-01-01T06:00:00Z",
"2026-01-01T07:00:00Z",
"2026-01-01T08:00:00Z",
"2026-01-01T09:00:00Z"
]
value
number[]
required
Example:
[
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000
]